Orders

Order management endpoints

List orders

get

Retrieve a paginated list of orders

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Query parameters
pageintegerOptional

Page number

Example: 1
per_pageinteger · max: 100Optional

Items per page (max 100)

Example: 25
includestringOptional

Comma-separated list of expansions: fields, integrations, items, payments, subscriptions, paymentplans, customer, affiliate

Example: fields,integrations
filter[id]stringOptional

Filter by id (exact match)

filter[id.gte]stringOptional

Filter by id (greater than or equal)

filter[id.lte]stringOptional

Filter by id (less than or equal)

filter[customer_id]stringOptional

Filter by customer_id (exact match)

filter[customer_id.gte]stringOptional

Filter by customer_id (greater than or equal)

filter[customer_id.lte]stringOptional

Filter by customer_id (less than or equal)

filter[checkout_publish_id]stringOptional

Filter by checkout_publish_id (exact match)

filter[checkout_publish_id.gte]stringOptional

Filter by checkout_publish_id (greater than or equal)

filter[checkout_publish_id.lte]stringOptional

Filter by checkout_publish_id (less than or equal)

filter[status]stringOptional

Filter by status (exact match)

filter[status.contains]stringOptional

Filter by status (contains)

filter[currency]stringOptional

Filter by currency (exact match)

filter[currency.contains]stringOptional

Filter by currency (contains)

filter[display_total]stringOptional

Filter by display_total (exact match)

filter[display_total.gte]stringOptional

Filter by display_total (greater than or equal)

filter[display_total.lte]stringOptional

Filter by display_total (less than or equal)

filter[promo_id]stringOptional

Filter by promo_id (exact match)

filter[promo_id.gte]stringOptional

Filter by promo_id (greater than or equal)

filter[promo_id.lte]stringOptional

Filter by promo_id (less than or equal)

filter[created_at]stringOptional

Filter by created_at (exact match)

filter[updated_at]stringOptional

Filter by updated_at (exact match)

sortstringOptional

Sort field (prefix with - for descending)

Example: -created_at
Responses
chevron-right
200

Successful response with paginated list

application/json
get
/v2/orders/

Update order fields

patch

Update order core and custom fields

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Body
Responses
chevron-right
200

Successful response

application/json
anyOptional
patch
/v2/orders/{id}

No content

Refund order

post

Issue a full or partial refund for an order

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Body
do_affiliate_adjustmentbooleanOptional
notesstringOptional
Responses
chevron-right
200

Successful response

application/json
anyOptional
post
/v2/orders/{id}/refund

No content

Add note to order

post

Add a note to order activity history

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Body
notesstring · min: 1Required
Responses
post
/v2/orders/{id}/notes

No content

Cancel order item

patch

Mark an order item as canceled

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Path parameters
order_idstringRequired

Order ID

item_idstringRequired

Order item ID to cancel

Body
is_refunded_by_spiffybooleanRequired
notesstringOptional
Responses
chevron-right
200

Successful response

application/json
anyOptional
patch
/v2/orders/{order_id}/items/{item_id}/canceled

No content

Get affiliate commissions

get

Get commission details for an affiliate on an order

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Path parameters
order_idstringRequired

Order ID

affiliate_idstringRequired

Affiliate ID

program_idstringRequired

Affiliate program ID

Responses
chevron-right
200

Successful response

application/json
anyOptional
get
/v2/orders/{order_id}/affiliate/{affiliate_id}/program/{program_id}

No content

Update order affiliate

put

Update affiliate commission settings for an order

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Path parameters
order_idstringRequired

Order ID

affiliate_idstringRequired

Affiliate ID

program_idstringRequired

Affiliate program ID

Body
no_retro_commissionsbooleanOptional
Responses
chevron-right
200

Successful response

application/json
anyOptional
put
/v2/orders/{order_id}/affiliate/{affiliate_id}/program/{program_id}

No content

Remove order affiliate

delete

Remove affiliate attribution from an order

Authorizations
AuthorizationstringRequired

Account API key authentication. Pass your API key as a Bearer token in the Authorization header. Grants full access to all endpoints — equivalent to all OAuth scopes.

Path parameters
order_idstringRequired

Order ID

Responses
delete
/v2/orders/{order_id}/affiliate

No content

Last updated